Регистрация
Вход через соцсети
Восстановление пароля

Ошибка индексации

Новый топик
06.11.2015, 07:12
Ответить | Цитировать
aleksey74

Зарегистрирован:
2015-09-04
Сообщений: 2

Здравствуйте, коллегиусмешка

В процессе изучения платформы netcat столкнулся с проблемой, не понятной для меня) Индексация и создание Sitemap. При создании задачи на индексацию, в реальном времени выходит ошибка:

PHP Fatal error: Uncaught exception 'nc_record_exception' with message 'nc_search_document: cannot save to the database (computer says no: 'Column 'LastUpdated' cannot be null')' in /..../netcat/system/record/nc_record.class.php:222

Прошу вашего совета по поводу того, как можно решить данную проблему.

Всем огромное спасибо!клево
08.11.2015, 14:09
Ответить | Цитировать
Руслан Густокашин
Студия Вэлпис
Руслан Густокашин

Зарегистрирован:
2012-02-06
Сообщений: 869

Какая версия Netcat установлена, стоят ли свежие патчи?
Работала ли индексация на этом сайте раньше?
Попробуйте еще очистить поисковую базу на всякий случай:
Код:

TRUNCATE TABLE `Search_Document`;
TRUNCATE TABLE `Search_Schedule`;
TRUNCATE TABLE `Search_Task`;
TRUNCATE TABLE `Search_Link`;
TRUNCATE TABLE `Search_LinkReferrer`;
TRUNCATE TABLE `Search_BrokenLink`;

И удалите еще /netcat_files/Search/Lucene/*.*
После этого попробуйте запустить переиндексацию заново.

13.11.2015, 12:07
Ответить | Цитировать
aleksey74

Зарегистрирован:
2015-09-04
Сообщений: 2

1. Установлена версия 5.4—Extra—540
2. Скорее всего нет, так как информация об индексации отсутствует
3. Выполнил все ,что вы написали, результат тот жегрустный грустный

В любом случае, СПАСИБО за совет!
07.01.2016, 14:14
Ответить | Цитировать
Вячеслав
ruCreate
Вячеслав

Зарегистрирован:
2013-04-12
Сообщений: 87

Была подобная проблемка.. Проверяли требования по настройке хостинга ?
07.02.2016, 14:23
Ответить | Цитировать
Руслан Густокашин
Студия Вэлпис
Руслан Густокашин

Зарегистрирован:
2012-02-06
Сообщений: 869

Народ, мы совместно с Неткэт в итоге разобрались, в чем проблема с этим LastUpdated, выпустили соответствующий патч, исправляющий эту ошибку. Чтобы исправить ошибку, установите все свежие патчи системы, которые есть на сегодняшний день (т.е. чтобы версия системы стала как минимум 5.6.0.16034).

198 196 2016-02-07 14:23:11 14338
Описание проекта